API Reference
API Reference
LLM API documentation - OpenAI, Claude, Gemini API reference for UniterRouter. Complete guide for GPT-4, Claude 3.5, Gemini Pro integration with code examples.
API Reference
UniterRouter provides unified access to 200+ AI models through multiple API formats. Choose the format that best fits your existing integration:
Supported API Formats
| Format | Description | Use Case |
|---|---|---|
| OpenAI Compatible | Full OpenAI API compatibility | Drop-in replacement for OpenAI SDK |
| Anthropic Compatible | Native Anthropic Messages API | Use Anthropic SDK directly |
| Google Compatible | Google Gemini API format | Use Google AI SDK |
Base URL
All API requests should be made to:
https://api.uniterouter.aiAuthentication
Include your API key in the request header:
# OpenAI format
Authorization: Bearer your_api_key
# Anthropic format
x-api-key: your_api_keyQuick Links
OpenAI Compatible
- Chat Completions -
/v1/chat/completions - Embeddings -
/v1/embeddings - Images -
/v1/images/generations - Audio -
/v1/audio/transcriptions - Models -
/v1/models
Anthropic Compatible
- Messages -
/v1/messages
Google Compatible
- Generate Content -
/v1beta/models/{model}:generateContent
How is this guide?